petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMClone

Creates a DM object with the same topology as the original.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMClone(DM dm, DM *newdm)

Collective on MPI_Comm

### Input Parameter

dm -The original DM object

### Output Parameter

newdm -The new DM object

### Keywords

DM, topology, create

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html